> For the complete documentation index, see [llms.txt](https://docs.obol.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.obol.org/sdk/interfaces/clusterdefinition.md).

# ClusterDefinition

Defined in: [types.ts:121](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L121)

Cluster definition data needed for dkg

## Extends

* [`ClusterPayload`](/sdk/type-aliases/clusterpayload.md)

## Properties

| Property              | Type                                                           | Description                                              | Overrides                           | Inherited from                   | Defined in                                                                                                              |
| --------------------- | -------------------------------------------------------------- | -------------------------------------------------------- | ----------------------------------- | -------------------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `name`                | `string`                                                       | The cluster name.                                        | -                                   | `ClusterPayload.name`            | [types.ts:97](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L97)   |
| `operators`           | [`ClusterOperator`](/sdk/type-aliases/clusteroperator.md)\[]   | The cluster nodes operators addresses.                   | -                                   | `ClusterPayload.operators`       | [types.ts:100](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L100) |
| `validators`          | [`ClusterValidator`](/sdk/type-aliases/clustervalidator.md)\[] | The cluster validators information.                      | -                                   | `ClusterPayload.validators`      | [types.ts:103](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L103) |
| `deposit_amounts?`    | `string`\[] \| `null`                                          | The cluster partial deposits in gwei or 32000000000.     | -                                   | `ClusterPayload.deposit_amounts` | [types.ts:106](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L106) |
| `creator`             | [`ClusterCreator`](/sdk/type-aliases/clustercreator.md)        | The creator of the cluster.                              | -                                   | -                                | [types.ts:123](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L123) |
| `version`             | `string`                                                       | The cluster configuration version.                       | -                                   | -                                | [types.ts:126](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L126) |
| `dkg_algorithm`       | `string`                                                       | The cluster dkg algorithm.                               | -                                   | -                                | [types.ts:129](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L129) |
| `fork_version`        | `string`                                                       | The cluster fork version.                                | -                                   | -                                | [types.ts:132](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L132) |
| `uuid`                | `string`                                                       | The cluster uuid.                                        | -                                   | -                                | [types.ts:135](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L135) |
| `timestamp`           | `string`                                                       | The cluster creation timestamp.                          | -                                   | -                                | [types.ts:138](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L138) |
| `config_hash`         | `string`                                                       | The cluster configuration hash.                          | -                                   | -                                | [types.ts:141](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L141) |
| `threshold`           | `number`                                                       | The distributed validator threshold.                     | -                                   | -                                | [types.ts:144](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L144) |
| `num_validators`      | `number`                                                       | The number of distributed validators in the cluster.     | -                                   | -                                | [types.ts:147](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L147) |
| `definition_hash?`    | `string`                                                       | The hash of the cluster definition.                      | -                                   | -                                | [types.ts:150](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L150) |
| `consensus_protocol?` | `string`                                                       | The consensus protocol e.g qbft.                         | `ClusterPayload.consensus_protocol` | -                                | [types.ts:153](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L153) |
| `target_gas_limit?`   | `number`                                                       | The target gas limit where default is 36M.               | `ClusterPayload.target_gas_limit`   | -                                | [types.ts:156](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L156) |
| `compounding?`        | `boolean`                                                      | A withdrawal mechanism with 0x02 withdrawal credentials. | `ClusterPayload.compounding`        | -                                | [types.ts:159](https://github.com/ObolNetwork/obol-sdk/blob/5137bd5c4ded55a50234f19135ea3a5bfeab4d47/src/types.ts#L159) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.obol.org/sdk/interfaces/clusterdefinition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
